## org.exist.xquery
Class ValueComparison

    java.lang.Object
      org.exist.xquery.AbstractExpression
          org.exist.xquery.PathExpr
              org.exist.xquery.BinaryOp
                  org.exist.xquery.GeneralComparison
                      org.exist.xquery.ValueComparison

All Implemented Interfaces:
  CompiledExpression, CompiledXQuery, Expression

public class ValueComparison
extends GeneralComparison

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Field Summary

Fields inherited from interface org.exist.xquery.Expression
`DOT_TEST, EXPRESSION_ID_INVALID, IGNORE_CONTEXT, IN_PREDICATE, IN_UPDATE, IN_WHERE_CLAUSE, NO_CONTEXT_ID, SINGLE_STEP_EXECUTION`

Constructor Summary
`ValueComparison(XQueryContext context, Expression left, Expression right, int relation)`
`ValueComparison(XQueryContext context, int relation)`

Method Summary
`void` `dump(ExpressionDumper dumper)` Write a diagnostic dump of the expression to the passed `ExpressionDumper`.
`java.lang.String` `toString()`

Methods inherited from class org.exist.xquery.GeneralComparison
`analyze, compareAtomic, eval, getDependencies, resetState, returnsType, setCollation`

Methods inherited from class org.exist.xquery.BinaryOp
`getLeft, getRight, setContextDocSet, setLeft, setRight`

Methods inherited from class org.exist.xquery.PathExpr
`accept, add, add, addPath, addPredicate, dump, getASTNode, getCardinality, getContext, getDocumentSet, getExpression, getLastExpression, getLength, getLiteralValue, getSource, isValid, replaceLastExpression, reset, setContext, setPrimaryAxis, setSource`

Methods inherited from class org.exist.xquery.AbstractExpression
`eval, getContextDocSet, getContextId, getExpressionId, setASTNode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.exist.xquery.CompiledXQuery
`eval`

Constructor Detail

### ValueComparison

    public ValueComparison(XQueryContext context,
                           int relation)

Parameters:
  `context` -
  `relation` -

### ValueComparison

    public ValueComparison(XQueryContext context,
                           Expression left,
                           Expression right,
                           int relation)

Parameters:
  `context` -
  `left` -
  `right` -
  `relation` -

Method Detail

### dump

    public void dump(ExpressionDumper dumper)

  Description copied from interface: `Expression`
  Write a diagnostic dump of the expression to the passed `ExpressionDumper`.

  Specified by:
    `dump` in interface `Expression`
  Overrides:
    `dump` in class `GeneralComparison`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GeneralComparison`

Copyright (C) Wolfgang Meier. All rights reserved.